aboutsummaryrefslogtreecommitdiffstats
path: root/x11/libsm/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'x11/libsm/APKBUILD')
-rw-r--r--x11/libsm/APKBUILD22
1 files changed, 22 insertions, 0 deletions
diff --git a/x11/libsm/APKBUILD b/x11/libsm/APKBUILD
new file mode 100644
index 0000000000..987ad3fac0
--- /dev/null
+++ b/x11/libsm/APKBUILD
@@ -0,0 +1,22 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libsm
+pkgver=1.1.0
+pkgrel=0
+pkgdesc="X11 Session Management library"
+url="http://xorg.freedesktop.org/"
+license="custom"
+depends="libice libuuid"
+subpackages="$pkgname-dev $pkgname-doc"
+makedepends="pkgconfig libice-dev e2fsprogs-dev xproto xtrans"
+source="http://xorg.freedesktop.org/releases/individual/lib/libSM-$pkgver.tar.bz2"
+
+depends_dev="libice-dev xproto"
+
+build () {
+ cd "$srcdir"/libSM-$pkgver
+ ./configure --prefix=/usr --sysconfdir=/etc || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="05a04c2b6382fb0054f6c70494e22733 libSM-1.1.0.tar.bz2"